/* 
 * Copyright (C) 2000 the xine project
 * 
 * This file is part of xine, a unix video player.
 * 
 * xine is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * xine is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA
 *
 * $Id: audio_out_t.h,v 1.1 2000/11/16 00:40:17 f1rmb Exp $
 */
#ifndef HAVE_AUDIO_OUT_T_H
#define HAVE_AUDIO_OUT_T_H

#include <inttypes.h>

typedef struct ao_functions_s
{
  /*
   * init device - buffer will be flushed(!)
   */
  uint32_t (*open)(uint32_t bits, uint32_t rate, uint32_t channels);

  /*
   * write samples to output buffer
   */

  void (*put_samples)(int16_t* output_samples, uint32_t num_samples, 
		      uint32_t pts);

  /*
   * find out if there are only few samples in buffer
   *
   * returns: 0 => buffer fill ok
   *          1 => buffer low
   *          2 => buffer very low
   */
  int (*get_buf_low) (void);

  /*
   * returns mypts of currently played sample
   */

  uint32_t (*get_current_pts) (void);

  void (*close)(void);

} ao_functions_t;

#endif
