/* 
 * Copyright (C) 2000 the xine project
 * 
 * This file is part of xine, a unix video player.
 * 
 * xine is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * xine is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA
 *
 * $Id: configfile.h,v 1.1 2000/11/05 23:45:01 guenter Exp $
 *
 * config file management
 *
 */


#ifndef HAVE_CONFIGFILE_H
#define HAVE_CONFIGFILE_H

#include <inttypes.h>

/*
 * init internal data structures, read config file
 * (if it exists)
 */

void config_file_init ();

/*
 * lookup config values
 */

char *config_file_lookup_str (char *key, char *str_default);

int config_file_lookup_int (char *key, int n_default);

/*
 * set config values
 */

void config_file_set_str (char *key, char *value) ;

void config_file_set_int (char *key, int value) ;

/*
 * write config file to disk
 */

void config_file_save ();

#endif





